Skip to content
Start here

Edit a participant's detail

client.realtimeKit.meetings.editParticipant(stringappId, stringmeetingId, stringparticipantId, MeetingEditParticipantParams { account_id, name, picture, preset_name } params, RequestOptionsoptions?): MeetingEditParticipantResponse { success, data }
PATCH/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Updates a participant’s details for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
meetingId: string
formatuuid
participantId: string
params: MeetingEditParticipantParams { account_id, name, picture, preset_name }
account_id: string

Path param: The account identifier tag.

maxLength32
name?: string | null

Body param: (Optional) Name of the participant.

picture?: string | null

Body param: (Optional) A URL to a picture to be used for the participant.

formaturi
preset_name?: string | null

Body param: (Optional) Name of the preset to apply to this participant.

ReturnsExpand Collapse
MeetingEditParticipantResponse { success, data }
success: boolean

Success status of the operation

data?: Data { id, token, created_at, 5 more }

Represents a participant.

id: string

ID of the participant.

formatuuid
token: string

The participant’s auth token that can be used for joining a meeting from the client side.

created_at: string

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: string

A unique participant ID generated by the client.

preset_name: string

Preset applied to the participant.

updated_at: string

When this object was updated. The time is returned in ISO format.

formatdate-time
name?: string | null

Name of the participant.

picture?: string | null

URL to a picture of the participant.

formaturi

Edit a participant's detail

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.meetings.editParticipant(
  'app_id',
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  'participant_id',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(response.success);
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}